h01157
s 00005/00004/00056
d D 1.5 83/02/25 17:06:43 mjb 5 4
c add axis type to menu
e
s 00000/00000/00060
d D 1.4 83/02/23 14:20:12 mjb 4 3
c 
e
s 00011/00003/00049
d D 1.3 83/01/31 20:27:31 mjb 3 2
c changes for error reporting
e
s 00002/00004/00050
d D 1.2 83/01/26 17:03:36 mjb 2 1
c fixed for new menu.tex interface
e
s 00054/00000/00000
d D 1.1 83/01/20 11:10:41 tes 1 0
c date and time created 83/01/20 11:10:41 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine ggeatt 
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Get current graph chart attributes for graph edit menu #
#               and put into common                                    #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qgeta - put alpha data to memory                          #
#            qgetd - put decimal data to memory                        #
#            qgeti - put integer data to memory                        #
#                                                                      #
########################################################################
D 3
integer i, item
E 3
I 3
integer i, item, itemp
E 3

include(`gphcom')

   i = 1
   do item = 1, 4 {
      call qgeta (item, bgtitl(i))     # current graph chart titles
      i = i + 41
      }

D 5
   call qgeta (5, bglgfg)              # current graph legend flag
E 5
I 5
   call qgeta (5, bgaxis)              # current independent axis type
   call qgeta (6, bglgfg)              # current graph legend flag
E 5
D 2
   call qgeta (6, bgfrfg)              # current graph frame flag
   call qgetd (7, bgblin)              # current graph baseline
E 2
    
   i = 1
D 2
   do item = 8, 12 {             
E 2
I 2
D 5
   do item = 6, 10 {             
E 5
I 5
   do item = 7, 11 {             
E 5
E 2
      call qgeta (item, bgleng(i)) # current curve legends
      i = i + 21
      }

   i = 1
D 2
   do item = 13, 42 {
E 2
I 2
D 3
   do item = 11, 40 {
E 2
      call qgeti (item, bgcvtp(i)) # current curve type etc.
E 3
I 3
D 5
   do item = 11, 15 {
E 5
I 5
   do item = 12, 16 {
E 5
      call qgeti (item, bgcvtp(i)) # current curve type
      itemp = bgcvtp(i)
      bgcvtp(i) = min0 (itemp, 5)
      i = i + 1
      }

   i = 1
D 5
   do item = 16, 40 {
E 5
I 5
   do item = 17, 41 {
E 5
      call qgeti (item, bgcvcl(i)) # current curve color etc.
E 3
      i = i + 1
      }

return
end
E 1
